﻿<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:fragment="head">
<meta charset="UTF-8" />
<title th:text="'Spring Boot MVC+JPA: '+${titulo}">Insert title
	here</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css"
	integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS"
	crossorigin="anonymous" />
<link rel="stylesheet"
	href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
	integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
	crossorigin="anonymous">
<link rel="stylesheet"
	href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
</head>
<body>
	<header th:fragment="header">
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
			<a class="navbar-brand" href="#"> <img
				src="https://getbootstrap.com/docs/4.2/assets/brand/bootstrap-solid.svg"
				width="30" height="30" class="d-inline-block align-top" alt="">
				Bootstrap
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse"
				data-target="#navbarNav" aria-controls="navbarNav"
				aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarNav">
				<ul class="navbar-nav">
					<li class="nav-item active"><a class="nav-link" th:text="#{text.menu.home}">Home</a></li>
					<li class="nav-item"><a class="nav-link" th:href="@{/listar}" th:text="#{text.menu.customer}">Clientes</a></li>
				</ul>
			</div>
			<a sec:authorize="!isAuthenticated()"  th:href="@{/login}" class="btn btn-primary" role="button" th:text="#{text.menu.signin}">Inicio de sesión</a>
			<div sec:authorize="isAuthenticated()" class="dropdown">
				<a class="btn btn-primary dropdown-toggle" role="button"
					id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
					aria-expanded="false" sec:authentication="name">  </a>

				<div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
					<form th:action="@{/logout}"  method="post">
					<input th:name="${_csrf.parameterName}" type="hidden" th:value="${_csrf.token}">
					<button type="submit" class="dropdown-item" th:text="#{text.menu.signout}">Cerrar sesión</button>
					</form>
				</div>
			</div>
			<ul class="navbar-nav navbar-right mx-4">
				<li class="nav-item mx-1"><a th:href="@{/locale(lang=es_ES)}" class="btn btn-outline-dark" >ES</a></li>
				<li class="nav-item mx-1"><a th:href="@{/locale(lang=en_US)}" class="btn btn-outline-dark" >EN</a></li>
				<li class="nav-item mx-1"><a th:href="@{/locale(lang=de_DE)}" class="btn btn-outline-dark" >DE</a></li>
			</ul>
		</nav>
		<div style="position: absolute; top: 0; right: 0; z-index: 1000;">
			<div th:if="${sucess != null}">
				<div class="toast" role="alert" aria-live="assertive"
					aria-atomic="true">
					<div class="toast-header">
						<strong class="mr-auto">Base de datos</strong>
						<button type="button" class="ml-2 mb-1 close" data-dismiss="toast"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="toast-body text-success" th:text="${sucess}"></div>
				</div>
			</div>
			<div th:if="${danger != null}">
				<div class="toast" role="alert" aria-live="assertive"
					aria-atomic="true">
					<div class="toast-header">
						<strong class="mr-auto">Base de datos</strong>
						<button type="button" class="ml-2 mb-1 close" data-dismiss="toast"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="toast-body text-danger" th:text="${danger}"></div>
				</div>
			</div>
			<div th:if="${warning != null}">
				<div class="toast" role="alert" aria-live="assertive"
					aria-atomic="true">
					<div class="toast-header">
						<strong class="mr-auto">Base de datos</strong>
						<button type="button" class="ml-2 mb-1 close" data-dismiss="toast"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="toast-body text-warning" th:text="${warning}"></div>
				</div>
			</div>
			<div th:if="${info != null}">
				<div class="toast" role="alert" aria-live="assertive"
					aria-atomic="true">
					<div class="toast-header">
						<strong class="mr-auto">Base de datos</strong>
						<button type="button" class="ml-2 mb-1 close" data-dismiss="toast"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="toast-body text-info" th:text="${info}"></div>
				</div>
			</div>
		</div>


	</header>

	<div class="container"></div>

	<footer th:fragment="footer">
		<p sec:authorize="isAuthenticated()">
			<span th:text="#{text.footer.user}">Usuario:</span> <span sec:authentication="name"></span>, <span th:text="#{text.footer.roles}">con rol(es)</span>: <span
				sec:authentication="principal.authorities"></span>
		</p>
		<p
			class="font-weight-light text-right border border-bottom-0 border-left-0 border-right-0">
			Gustavo García &copy; 2019</p>
		<script
			src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<script
			src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
			integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
			crossorigin="anonymous"></script>
		<script
			src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.0/js/bootstrap.min.js"
			integrity="sha384-7aThvCh9TypR7fIc2HV4O/nFMVCBwyIUKL8XCtKE+8xgCgl/PQGuFsvShjr74PBp"
			crossorigin="anonymous"></script>

		<script
			src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

		<script type="text/javascript">
			$('.toast').toast({
				'delay' : 3000
			})
			$('.toast').toast('show');
		</script>
	</footer>
</body>
</html>
